Name:           pinot
Version:        1.08
Release:        %mkrel 4
Summary:        Personal search and metasearch for the Free Desktop
License:        GPLv2+
Group:          File tools
URL:            http://code.google.com/p/pinot-search/
Source0:        http://pinot-search.googlecode.com/files/%{name}-%{version}.tar.xz
Patch1:         pinot-1.0-link.patch
Patch2:         pinot-1.0-namespace-clash.patch
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(exiv2) >= 0.21
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glibmm-2.4) >= 2.6
BuildRequires:  pkgconfig(gmime-2.6) >= 2.5
BuildRequires:  pkgconfig(gthread-2.0) >= 2.6
BuildRequires:  pkgconfig(gtkmm-3.0) >= 3.0
BuildRequires:  pkgconfig(libxml++-2.6) >= 2.12
BuildRequires:  pkgconfig(neon) >= 0.24
BuildRequires:  pkgconfig(openssl) >= 0.9.7
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(sigc++-2.0) >= 2.0
BuildRequires:  pkgconfig(sqlite3) >= 3.1
BuildRequires:  pkgconfig(taglib) >= 1.4
BuildRequires:  libxapian-devel
BuildRequires:  pkgconfig(libexttextcat)
BuildRequires:  libarchive-devel
BuildRequires:  libcurl-devel
BuildRequires:  boost-devel
BuildRequires:  chmlib-devel
BuildRequires:  desktop-file-utils
Requires:       shared-mime-info
Requires:       unzip
Requires:       antiword
Requires:       unrtf
Requires:       poppler
Requires:       libexttextcat

%description
Pinot is a D-Bus service that crawls, indexes your documents and monitors them
for changes, as well as a GTK-based user interface that enables to query
the index built by the service and your favourite Web engines, and display and
analyze the results.

%package devel
Summary:        Development files for Pinot
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description devel
Pinot is a D-Bus service that crawls, indexes your documents and monitors them
for changes. This package package contains include files needed to develop
applications on top of Pinot.

%prep
%setup -q

%build
autoreconf -vfi
export CXXFLAGS="%{optflags} -std=gnu++11"

%configure2_5x \
 --disable-static \
 --enable-gtkmm3 \
 --with-http=curl \
 --with-ssl=%{_libdir} \
 --enable-dbus \
 --enable-mempool \
 --enable-libarchive \
 --enable-gio \
 --enable-chmlib
%make

%install
%make_install

desktop-file-install \
 --remove-category="Core" \
 --remove-category="Network" \
 --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO FAQ
%config(noreplace) %{_sysconfdir}/%{name}/
%dir %{_datadir}/%{name}
%{_bindir}/%{name}*
%{_datadir}/%{name}/*
%{_libdir}/pinot/backends/*
%{_libdir}/pinot/filters/*
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/de.berlios.Pinot.service
%{_sysconfdir}/xdg/autostart/*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}*

%files devel
%{_includedir}/pinot
%{_libdir}/pinot/lib*


%changelog
* Sat Aug 13 2016 luigiwalser <luigiwalser> 1.08-4.mga6
+ Revision: 1046195
- test rebuild for poppler

* Tue Jan 12 2016 daviddavid <daviddavid> 1.08-3.mga6
+ Revision: 922093
- rebuild for new boost 1.60.0

* Sat Sep 26 2015 daviddavid <daviddavid> 1.08-2.mga6
+ Revision: 883878
- rebuild for new boost 1.59.0

* Fri Aug 28 2015 cjw <cjw> 1.08-1.mga6
+ Revision: 870391
- compile C++ code with -std=gnu++11

  + fwang <fwang>
    - 1.08

  + daviddavid <daviddavid>
    - rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 1.06-7.mga5
+ Revision: 740899
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.06-6.mga5
+ Revision: 687600
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 dams <dams> 1.06-5.mga5
+ Revision: 589053
- rebuild for new exiv2

* Sat Feb 08 2014 barjac <barjac> 1.06-4.mga5
+ Revision: 586742
- rebuild against boost-1.55

* Sun Dec 08 2013 philippem <philippem> 1.06-3.mga4
+ Revision: 555875
- fix no matching call for close()

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + fwang <fwang>
    - new version 1.06

* Wed Jul 10 2013 fwang <fwang> 1.02-11.mga4
+ Revision: 452479
- rebuild for new boost

* Fri Jun 28 2013 fwang <fwang> 1.02-10.mga4
+ Revision: 447777
- rebuild for new libarchive

* Thu Apr 11 2013 ennael <ennael> 1.02-9.mga3
+ Revision: 409622
- rebuild for boost 1.53

* Sun Jan 13 2013 umeabot <umeabot> 1.02-8.mga3
+ Revision: 377746
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 kamil <kamil> 1.02-7.mga3
+ Revision: 338001
- require libexttextcat

* Thu Jan 03 2013 kamil <kamil> 1.02-6.mga3
+ Revision: 337979
- add P2: fix-build-with-automake-1.13.patch

* Thu Dec 20 2012 fwang <fwang> 1.02-5.mga3
+ Revision: 333059
- rebuild for new boost

* Sun Dec 02 2012 kamil <kamil> 1.02-4.mga3
+ Revision: 324678
- new version 1.02

* Wed Nov 07 2012 fwang <fwang> 1.0-4.mga3
+ Revision: 315816
- use gtk3 flavour

* Wed Nov 07 2012 fwang <fwang> 1.0-3.mga3
+ Revision: 315793
- rebuild for new libeexttextcat

* Wed Sep 19 2012 fwang <fwang> 1.0-2.mga3
+ Revision: 296071
- more linkage fix
- more linkage fix
- fix linkage
- fix typo
- use pkgconfig to recognize libexttextcat
- rebuild for new libexttextcat

* Sun Jun 24 2012 kamil <kamil> 1.0-1.mga3
+ Revision: 262906
- new version 1.0
- drop P0, P1, P3 - merged upstream
- update Source0
- new subpackage: devel

* Sat Feb 04 2012 fwang <fwang> 0.98-6.mga3
+ Revision: 204369
- drop .a and .la files
- fix build with exttextcat

  + dmorgan <dmorgan>
    - Fix builrequires for new libexttextcat

* Wed Jan 04 2012 fwang <fwang> 0.98-4.mga2
+ Revision: 190645
- rebuild for new libarchive

* Fri Nov 25 2011 fwang <fwang> 0.98-3.mga2
+ Revision: 171793
- add br
- cleanup br

* Thu Nov 24 2011 kamil <kamil> 0.98-2.mga2
+ Revision: 171744
- add support for chmlib
- update URL
- drop deskbar-applet plugin

* Sat Nov 19 2011 kamil <kamil> 0.98-1.mga2
+ Revision: 169129
- new version
- language patch rediffed - partly imported by upstream
- new patch for upcoming libarchive 3.0.0
- new patch for glib - build fix
- libkexiv2-devel moved into BuildRequirements
- FAQ is now shipped with docs

  + ennael <ennael>
    - clean spec file
    - imported package pinot


* Fri Jul 23 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.96-2mdv2011.0
+ Revision: 557306
- rebuild for new xapian-1.2.2

* Thu Jul 22 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.96-1mdv2011.0
+ Revision: 557056
- update to 0.96

* Mon Apr 26 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.95-3mdv2010.1
+ Revision: 539276
- rebuild for new xapian

* Thu Apr 15 2010 Funda Wang <fwang@mandriva.org> 0.95-2mdv2010.1
+ Revision: 534996
- rebuild

* Sat Nov 14 2009 Funda Wang <fwang@mandriva.org> 0.95-1mdv2010.1
+ Revision: 465956
- new version 0.95

* Sat Sep 26 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.94-3mdv2010.0
+ Revision: 449509
- rebuild for new xapian

* Mon Aug 31 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.94-2mdv2010.0
+ Revision: 422762
- rebuild for new xapian

* Sun Jun 28 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.94-1mdv2010.0
+ Revision: 390432
- drop patch 1, was merged upstream
- update to new version 0.94

* Sat May 09 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.93-1mdv2010.0
+ Revision: 373775
- add missing buildrequires on libgmime2.2-devel
- enable gio support

  + Funda Wang <fwang@mandriva.org>
    - rework patch (to be submitted upstream)
    - build archive plugin
    - New version 0.93

* Sat Mar 07 2009 Funda Wang <fwang@mandriva.org> 0.91-1mdv2009.1
+ Revision: 351743
- New version 0.91

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 0.90-1mdv2009.1
+ Revision: 335216
- New verison 0.90

* Wed Nov 05 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.89-2mdv2009.1
+ Revision: 300062
- rebuild for xapian-1.0.9

* Sun Sep 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.89-1mdv2009.0
+ Revision: 289059
- update to new version 0.89

* Sat Aug 30 2008 Funda Wang <fwang@mandriva.org> 0.88-1mdv2009.0
+ Revision: 277538
- New version 0.88

* Sun Jul 20 2008 Funda Wang <fwang@mandriva.org> 0.87-1mdv2009.0
+ Revision: 238999
- New version 0.87

* Sat Jul 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.86-2mdv2009.0
+ Revision: 238699
- rebuild

* Sun Jun 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.86-1mdv2009.0
+ Revision: 227931
- update to new version 0.86

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 14 2008 Funda Wang <fwang@mandriva.org> 0.85-1mdv2009.0
+ Revision: 206918
- BR libexif-devel
- New version 0.85

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.84-1mdv2009.0
+ Revision: 194445
- new version

* Thu Mar 13 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.83-2mdv2008.1
+ Revision: 187480
- Patch0: fix languages path

* Fri Feb 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.83-1mdv2008.1
+ Revision: 176768
- new version

* Sun Feb 24 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.82-2mdv2008.1
+ Revision: 174373
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sat Jan 26 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.82-1mdv2008.1
+ Revision: 158452
- new version

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.81-4mdv2008.1
+ Revision: 139594
- rebuild against xapain-core

* Tue Dec 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.81-3mdv2008.1
+ Revision: 131814
- tune up desktp file

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 17 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.81-2mdv2008.1
+ Revision: 121336
- correct requires

* Mon Dec 17 2007 Olivier Blin <oblin@mandriva.com> 0.81-1mdv2008.1
+ Revision: 121071
- fix gtkmm2.4 BR for x86_64

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - adjust buildrequires
    - do not package COPYING file
    - fix group
    - spec file clean
    - new version
    - add support for the openssl
    - import pinot


